MODULE inc

  CONTAINS

  SUBROUTINE incb(a)

    REAL, DIMENSION(:) :: a
      
    a = a + 1.

  END SUBROUTINE incb

END MODULE inc
!===========================================
PROGRAM main
  USE inc
  IMPLICIT NONE
  REAL, DIMENSION(5) :: x

  x = [ 0.,2.,4.,8.,10.]
  PRINT *, 'original x = ',x
  CALL incb(x)
  PRINT *, 'modified x = ',x

END PROGRAM main
